package com.yonge.cooleshow.admin.io.request.course;

import com.alibaba.fastjson.JSON;
import com.yonge.cooleshow.biz.dal.enums.course.CourseTypeEnum;
import com.yonge.cooleshow.biz.dal.enums.course.RelationMusicAlbumEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-25
 */
public class CourseRelationVo {

    @ApiModel("CourseRelationQuery-课程推荐/赠送内容查询")
    public static class CourseRelationQuery extends QueryInfo{

        @ApiModelProperty("课程组id")
        private Long courseGroupId;

        @ApiModelProperty("关联类型, MUSIC, ALBUM ")
        private RelationMusicAlbumEnum relationType;


        @ApiModelProperty("课程类型 ")
        private CourseTypeEnum courseType;

        public String jsonString() {
            return JSON.toJSONString(this);
        }


        public Long getCourseGroupId() {
            return courseGroupId;
        }

        public void setCourseGroupId(Long courseGroupId) {
            this.courseGroupId = courseGroupId;
        }

        public RelationMusicAlbumEnum getRelationType() {
            return relationType;
        }

        public void setRelationType(RelationMusicAlbumEnum relationType) {
            this.relationType = relationType;
        }

        public CourseTypeEnum getCourseType() {
            return courseType;
        }

        public void setCourseType(CourseTypeEnum courseType) {
            this.courseType = courseType;
        }
    }

    @ApiModel("CourseRelationList-课程推荐/赠送内容列表")
    public static class CourseRelationList {

        @ApiModelProperty("编号")
        private Long id;

        @ApiModelProperty("封面")
        private String img;

        @ApiModelProperty("名称")
        private String name;

        @ApiModelProperty("标签")
        private String tagName;

        @ApiModelProperty("声部")
        private String subjectName;

        @ApiModelProperty("收费类型  VIP:会员,FREE：免费 CHARGE:购买")
        private String paymentType;

        @ApiModelProperty("价格")
        private BigDecimal price;

        @ApiModelProperty("关联类型, MUSIC, ALBUM ")
        private RelationMusicAlbumEnum relationType;

        @ApiModelProperty("课程名")
        private String courseName;

        public Long getId() {
            return id;
        }

        public void setId(Long id) {
            this.id = id;
        }

        public String getImg() {
            return img;
        }

        public void setImg(String img) {
            this.img = img;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getTagName() {
            return tagName;
        }

        public void setTagName(String tagName) {
            this.tagName = tagName;
        }

        public String getSubjectName() {
            return subjectName;
        }

        public void setSubjectName(String subjectName) {
            this.subjectName = subjectName;
        }

        public String getPaymentType() {
            return paymentType;
        }

        public void setPaymentType(String paymentType) {
            this.paymentType = paymentType;
        }

        public BigDecimal getPrice() {
            return price;
        }

        public void setPrice(BigDecimal price) {
            this.price = price;
        }

        public RelationMusicAlbumEnum getRelationType() {
            return relationType;
        }

        public void setRelationType(RelationMusicAlbumEnum relationType) {
            this.relationType = relationType;
        }

        public String getCourseName() {
            return courseName;
        }

        public void setCourseName(String courseName) {
            this.courseName = courseName;
        }
    }
}
